## ![logo](https://raw.github.com/jbox-web/redmine_git_hosting/gh-pages/images/git_logo.png) Redmine Git Hosting Plugin

### A Redmine plugin which makes configuring your own Git hosting easy ;)

This plugin allows straightforward management of Gitolite within Redmine.

It provides these functionalities :

* [SSH Public Keys Management](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#wiki-ssh-public-keys-management)
* [Automatic Repository Creation](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#wiki-automatic-repository-creation)
* [Repository Deletion](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#wiki-repository-deletion)
* [Deployment Credentials](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#wiki-deployment-credentials)
* [Post-Receive URLs](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#wiki-post-receive-urls)
* [Automatic Mirror Updates](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#wiki-automatic-mirror-updates)
* [Git Smart HTTP (with vulnerability patch)](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#wiki-git-smart-http)
* [Git Daemon](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#wiki-git-daemon)
* [Caching Options](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#wiki-caching-options)
* [*(new)* Git mailing lists](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#wiki-git-mailing-lists)
* [*(new)* Sidekiq async jobs](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#wiki-sidekiq-async-jobs)
* [*(new)* Default branch selection](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#wiki-default-branch-selection)
* [*(new)* Automatic Repository Initialization](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#wiki-automatic-repository-initialization)
* [*(new)* Git Revision Download](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#wiki-git-revision-download) (from [Git Revision Download](https://github.com/chantra/redmine_gitrevision_download))
* [*(new)* README Preview](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#wiki-readme-preview) (from [README at Repositories](https://github.com/simeji/readme_at_repositories))
* [*(new)* Git Config Keys Management](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#wiki-git-config-keys-management)
* [*(new)* Improved Repository Statistics](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#improved-repository-statistics)
* [*(new)* Github Issues Sync](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#github-issues-sync)
* [*(new)* Browse Archived Repositories](https://github.com/jbox-web/redmine_git_hosting/wiki/Features#browse-archived-repositories)

You can follow announcements [here](https://github.com/jbox-web/redmine_git_hosting/wiki/Announcements) or take a look at the [roadmap](https://github.com/jbox-web/redmine_git_hosting/wiki/Roadmap).

## Code status

* [![Code Climate](https://codeclimate.com/github/jbox-web/redmine_git_hosting.png)](https://codeclimate.com/github/jbox-web/redmine_git_hosting)
* [![Build Status](https://travis-ci.org/jbox-web/redmine_git_hosting.svg?branch=devel)](https://travis-ci.org/jbox-web/redmine_git_hosting)
* [![Dependency Status](https://gemnasium.com/jbox-web/redmine_git_hosting.svg)](https://gemnasium.com/jbox-web/redmine_git_hosting)

## Installation

Read the documentation and more in the [Wiki](https://github.com/jbox-web/redmine_git_hosting/wiki).


## Copyrights & License
Redmine Git Hosting is completely free and open source and released under the [MIT License](https://github.com/jbox-web/redmine_git_hosting/blob/devel/LICENSE).

Copyright (c) 2013-2014 Nicolas Rodriguez (nrodriguez@jbox-web.com), JBox Web (http://www.jbox-web.com) [![endorse](https://api.coderwall.com/n-rodriguez/endorsecount.png)](https://coderwall.com/n-rodriguez)

Copyright (c) 2011-2013 John Kubiatowicz (kubitron@cs.berkeley.edu)

Copyright (c) 2010-2011 Eric Bishop (ericpaulbishop@gmail.com)

Copyright (c) 2009-2010 Jan Schulz-Hofen, Rocket Rentals GmbH (http://www.rocket-rentals.de)

## Contribute

You can contribute to this plugin in many ways such as :
* Helping with documentation
* Contributing code (features or bugfixes)
* Reporting a bug
* Submitting translations

You can also donate :)

[![Donate](https://www.paypalobjects.com/en_US/i/btn/btn_donate_LG.gif)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=FBT7E7DAVVEEU)
